<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Conditions_Billing' ) ) {

    class WTARS_Shipped_Admin_Conditions_Billing {

        public function __construct() {

            add_filter( 'wtars_shipped_admin/get-condition-groups', array( $this, 'get_groups' ), 40, 2 );

            add_filter( 'wtars_shipped_admin/get-billing-group-conditions', array( $this, 'get_conditions' ), 10, 2 );

            add_filter( 'wtars_shipped_admin/get-pament_methods-condition-fields', array( $this, 'get_payment_methods_fields' ), 10, 2 );
        }

        public function get_groups( $in_groups, $args ) {

            $in_groups[ 'billing' ] = esc_html__( 'Billing', 'shipped-table-rate-shipping' );

            return $in_groups;
        }

        public static function get_conditions( $in_list, $args ) {

            $in_list[ 'pament_methods' ] = esc_html__( 'Payment Methods', 'shipped-table-rate-shipping' );

            return $in_list;
        }

        public function get_payment_methods_fields( $in_fields, $args ) {

            $in_fields[] = array(
                'id' => 'compare',
                'type' => 'select2',
                'default' => 'in_list',
                'options' => array(
                    'in_list' => esc_html__( 'Any in the list', 'shipped-table-rate-shipping' ),
                    'none' => esc_html__( 'None in the list', 'shipped-table-rate-shipping' ),
                ),
                'width' => '98%',
                'box_width' => '26%',
            );

            $in_fields[] = array(
                'id' => 'payment_methods',
                'type' => 'select2',
                'multiple' => true,
                'minimum_input_length' => 1,
                'minimum_results_forsearch' => 10,
                'placeholder' => esc_html__( 'Payment methods...', 'shipped-table-rate-shipping' ),
                'ajax_data' => 'wc:payment_methods',
                'width' => '100%',
                'box_width' => '74%',
            );

            return $in_fields;
        }

    }

    new WTARS_Shipped_Admin_Conditions_Billing();
}