<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Conditions_GeoLocations' ) ) {

    class WTARS_Shipped_Admin_Conditions_GeoLocations {

        public function __construct() {
            add_filter( 'wtars_shipped_admin/get-condition-groups', array( $this, 'get_groups' ), 10, 2 );

            add_filter( 'wtars_shipped_admin/get-geo_locations-group-conditions', array( $this, 'get_conditions' ), 10, 2 );
            
            add_filter( 'wtars_shipped_admin/get-geo_continents-condition-fields', array( $this, 'get_continents_fields' ), 10, 2 );
            add_filter( 'wtars_shipped_admin/get-geo_countries-condition-fields', array( $this, 'get_countries_fields' ), 10, 2 );
        }

        public function get_groups( $in_groups, $args ) {

            $in_groups[ 'geo_locations' ] = esc_html__( 'GeoIP Locations', 'shipped-table-rate-shipping' );

            return $in_groups;
        }

        public static function get_conditions( $in_list, $args ) {
            
            $in_list[ 'geo_continents' ] = esc_html__( 'GeoIP Continents', 'shipped-table-rate-shipping' );
            $in_list[ 'geo_countries' ] = esc_html__( 'GeoIP Countries', 'shipped-table-rate-shipping' );

            return $in_list;
        }
        
        public static function get_continents_fields( $in_fields, $args ) {

            $in_fields[] = array(
                'id' => 'compare',
                'type' => 'select2',
                'default' => 'in_list',
                'options' => array(
                    'in_list' => esc_html__( 'Any in the list', 'shipped-table-rate-shipping' ),
                    'none' => esc_html__( 'None in the list', 'shipped-table-rate-shipping' ),
                ),
                'width' => '98%',
                'box_width' => '26%',
            );

            $in_fields[] = array(
                'id' => 'continents',
                'type' => 'select2',
                'multiple' => true,
                'allow_clear' => true,
                'minimum_input_length' => 1,
                'minimum_results_forsearch' => 10,
                'placeholder' => esc_html__( 'GeoIP Continents...', 'shipped-table-rate-shipping' ),
                'ajax_data' => 'wc:continents',
                'width' => '100%',
                'box_width' => '74%',
            );

            return $in_fields;
        }
        
        public static function get_countries_fields( $in_fields, $args ) {
            
            $in_fields[] = array(
                'id' => 'compare',
                'type' => 'select2',
                'default' => 'in_list',
                'options' => array(
                    'in_list' => esc_html__( 'Any in the list', 'shipped-table-rate-shipping' ),
                    'none' => esc_html__( 'None in the list', 'shipped-table-rate-shipping' ),
                ),
                'width' => '98%',
                'box_width' => '26%',
            );

            $in_fields[] = array(
                'id' => 'countries',
                'type' => 'select2',
                'multiple' => true,
                'allow_clear' => true,
                'minimum_input_length' => 2,
                'minimum_results_forsearch' => 10,
                'placeholder' => esc_html__( 'GeoIP Countries...', 'shipped-table-rate-shipping' ),
                'ajax_data' => 'wc:countries',
                'width' => '100%',
                'box_width' => '74%',
            );

            return $in_fields;
        }

    }

    new WTARS_Shipped_Admin_Conditions_GeoLocations();
}