<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Premium_Admin_Conditions_Shipping_Address' ) ) {

    class WTARS_Shipped_Premium_Admin_Conditions_Shipping_Address {

        public function __construct() {
            add_filter( 'wtars_shipped_admin/get-shipping_address-group-conditions', array( $this, 'get_conditions' ), 30, 2 );
            
            add_filter( 'wtars_shipped_admin/get-shipping_continents-condition-fields', array( $this, 'get_continents_fields' ), 10, 2 );
            add_filter( 'wtars_shipped_admin/get-shipping_cities-condition-fields', array( $this, 'get_cities_fields' ), 10, 2 );
        }

        public function get_conditions( $in_list, $args ) {

            $in_list[ 'shipping_continents' ] = esc_html__( 'Shipping Continents', 'shipped-table-rate-shipping' );
            $in_list[ 'shipping_countries' ] = esc_html__( 'Shipping Countries', 'shipped-table-rate-shipping' );
            $in_list[ 'shipping_states' ] = esc_html__( 'Shipping States', 'shipped-table-rate-shipping' );
            $in_list[ 'shipping_cities' ] = esc_html__( 'Shipping Cities', 'shipped-table-rate-shipping' );
            $in_list[ 'shipping_postcodes' ] = esc_html__( 'Shipping Postcode / ZIP', 'shipped-table-rate-shipping' );

            return $in_list;
        }

        public function get_continents_fields( $in_fields, $args ) {

            $in_fields[] = array(
                'id' => 'compare',
                'type' => 'select2',
                'default' => 'in_list',
                'options' => array(
                    'in_list' => esc_html__( 'Any in the list', 'shipped-table-rate-shipping' ),
                    'none' => esc_html__( 'None in the list', 'shipped-table-rate-shipping' ),
                ),
                'width' => '98%',
                'box_width' => '26%',
            );

            $in_fields[] = array(
                'id' => 'continents',
                'type' => 'select2',
                'multiple' => true,
                'allow_clear' => true,
                'minimum_input_length' => 1,
                'minimum_results_forsearch' => 10,
                'placeholder' => esc_html__( 'Shipping Continents...', 'shipped-table-rate-shipping' ),
                'ajax_data' => 'wc:continents',
                'width' => '100%',
                'box_width' => '74%',
            );

            return $in_fields;
        }

        public function get_cities_fields( $in_fields, $args ) {

            $in_fields[] = array(
                'id' => 'compare',
                'type' => 'select2',
                'default' => 'in_list',
                'options' => array(
                    'in_list' => esc_html__( 'Any in the list', 'shipped-table-rate-shipping' ),
                    'none' => esc_html__( 'None in the list', 'shipped-table-rate-shipping' ),
                ),
                'width' => '98%',
                'box_width' => '26%',
            );

            $in_fields[] = array(
                'id' => 'cities',
                'type' => 'textbox',
                'input_type' => 'text',
                'default' => '',
                'placeholder' => esc_html__( 'Seperate with comma, (e.g Jakarta, Delhi, Manila)', 'shipped-table-rate-shipping' ),
                'width' => '100%',
                'box_width' => '74%',
            );

            return $in_fields;
        }

    }

    new WTARS_Shipped_Premium_Admin_Conditions_Shipping_Address();
}