<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Conditions_Shipping' ) ) {

    class WTARS_Shipped_Admin_Conditions_Shipping {

        public function __construct() {

            add_filter( 'wtars_shipped_admin/get-condition-groups', array( $this, 'get_groups' ), 20, 2 );

            add_filter( 'wtars_shipped_admin/get-shipping-group-conditions', array( $this, 'get_conditions' ), 10, 2 );

            add_filter( 'wtars_shipped_admin/get-shipping_needed-condition-fields', array( $this, 'get_needed_fields' ), 10, 2 );
        }

        public function get_groups( $in_groups, $args ) {

            if ( !$this->can_include( $args ) ) {
                return $in_groups;
            }

            $in_groups[ 'shipping' ] = esc_html__( 'Shipping', 'shipped-table-rate-shipping' );

            return $in_groups;
        }

        public function get_conditions( $in_list, $args ) {

            $in_list[ 'shipping_needed' ] = esc_html__( 'Needs Shipping', 'shipped-table-rate-shipping' );

            return $in_list;
        }

        public function get_needed_fields( $in_fields, $args ) {

            $in_fields[] = array(
                'id' => 'needs_shipping',
                'type' => 'select2',
                'default' => 'yes',
                'options' => array(
                    'yes' => esc_html__( 'Yes', 'shipped-table-rate-shipping' ),
                    'no' => esc_html__( 'No', 'shipped-table-rate-shipping' ),
                ),
                'width' => '100%',
                'box_width' => '100%',
            );

            return $in_fields;
        }

        private function can_include( $args ) {

            if ( 'cart-fees' == $args[ 'module' ] ) {
                return false;
            }

            if ( 'shipping-rates' == $args[ 'module' ] ) {
                return false;
            }

            if ( 'method' == $args[ 'module' ] ) {
                return false;
            }

            return true;
        }

    }

    new WTARS_Shipped_Admin_Conditions_Shipping();
}
