<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Data_List_Shipping_Rate_Modes' ) ) {


    class WTARS_Shipped_Admin_Data_List_Shipping_Rate_Modes {
        
        public function __construct() {
            
            add_filter( 'wtars_shipped_admin/get-data-list-shipping_rate_modes', array( $this, 'get_data_list' ), 10, 2 );
        }

        public function get_data_list( $result, $data_args ) {

            $result[ 'all' ] = esc_html__( 'Apply all valid rates', 'shipped-table-rate-shipping' );
            $result[ 'first' ] = esc_html__( 'Apply first valid rate', 'shipped-table-rate-shipping' );
            $result[ 'last' ] = esc_html__( 'Apply last valid rate', 'shipped-table-rate-shipping' );
            $result[ 'higher' ] = esc_html__( 'Apply the most expensive rate', 'shipped-table-rate-shipping' );
            $result[ 'lower' ] = esc_html__( 'Apply the cheapest rate', 'shipped-table-rate-shipping' );
            $result[ 'no' ] = esc_html__( 'Do not apply any rate', 'shipped-table-rate-shipping' );

            return $result;
        }

    }

    new WTARS_Shipped_Admin_Data_List_Shipping_Rate_Modes();
}