<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Premium_Data_List_Tax_Classes' ) ) {

    class WTARS_Shipped_Admin_Premium_Data_List_Tax_Classes {

        public function __construct() {
            add_filter( 'wtars_shipped_admin/get-data-list-tax_options', array( $this, 'get_data_list' ), 10, 2 );
        }

        public function get_data_list( $result, $data_args ) {

            $result[ '' ] = esc_html__( 'Standard rates', 'shipped-table-rate-shipping' );

            $tax_object = new WC_Tax();
            $tax_classes = $tax_object->get_tax_classes();
            $tax_classes_slug = $tax_object->get_tax_class_slugs();


            for ( $i = 0; $i < count( $tax_classes ); $i++ ) {
                $result[ $tax_classes_slug[ $i ] ] = $tax_classes[ $i ];
            }

            return $result;
        }

    }

    new WTARS_Shipped_Admin_Premium_Data_List_Tax_Classes();
}