<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Data_List_Weight_Calculators' ) ) {


    class WTARS_Shipped_Admin_Data_List_Weight_Calculators {

        public function __construct() {
            add_filter( 'wtars_shipped_admin/get-data-list-weight_calcs', array( $this, 'get_data_list' ), 10, 2 );
        }

        public function get_data_list( $result, $data_args ) {

            global $wtars_shipped;

            $options = array();

            if ( isset( $wtars_shipped[ 'weight_calcs' ] ) ) {
                $options = $wtars_shipped[ 'weight_calcs' ];
            } else {
                $options = $this->get_default_options();
            }

            foreach ( $options as $option ) {
                $result[ $option[ 'option_id' ] ] = $this->get_title( $option );
            }

            return $result;
        }

        private function get_title( $option ) {
            if ( !empty( $option[ 'admin_note' ] ) ) {
                return $option[ 'admin_note' ];
            }

            return $this->get_default_title( $option[ 'option_id' ] );
        }

        private function get_default_title( $option_id ) {

            foreach ( $this->get_default_options() as $option ) {

                if ( $option_id == $option[ 'option_id' ] ) {
                    return $option[ 'admin_note' ];
                }
            }
            return esc_html__( 'Volumetric Weight', 'shipped-table-rate-shipping' );
        }

        private function get_default_options() {
            return array(
                array(
                    'admin_note' => esc_html__( 'Weight', 'shipped-table-rate-shipping' ),
                    'option_id' => '2234343',
                ),
                array(
                    'admin_note' => esc_html__( 'Volumetric Weight', 'shipped-table-rate-shipping' ),
                    'option_id' => '2234344',
                ),
            );
        }

    }

    new WTARS_Shipped_Admin_Data_List_Weight_Calculators();
}
