<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}


if ( !class_exists( 'WTARS_Shipped_Premium_Admin_Logic_Types_Conditions' ) ) {

    class WTARS_Shipped_Premium_Admin_Logic_Types_Conditions {

        public function __construct() {

            add_filter( 'wtars_shipped_admin/shipping-rates/get-panel-conditions-fields', array( $this, 'get_rate_conditions_title' ), 70, 2 );
            add_filter( 'wtars_shipped_admin/cart-fees/get-panel-conditions-fields', array( $this, 'get_rate_conditions_title' ), 70, 2 );
            add_filter( 'wtars_shipped_admin/checkout-messages/get-panel-conditions-fields', array( $this, 'get_rate_conditions_title' ), 70, 2 );
            
            add_filter( 'wtars_shipped_admin/get-method-conditions-fields', array( $this, 'get_method_conditions_fields' ), 71, 2 );
        }

        public function get_rate_conditions_title( $in_fields, $args ) {

            $module_text = esc_html__( 'Shipping', 'shipped-table-rate-shipping' );

            $module_tool_text = esc_html__( 'shipping rate', 'shipped-table-rate-shipping' );

            if ( 'cart-fees' == $args[ 'module' ] ) {

                $module_text = esc_html__( 'Fee', 'shipped-table-rate-shipping' );

                $module_tool_text = esc_html__( 'handling fee', 'shipped-table-rate-shipping' );
            }
            
            if ( 'checkout-messages' == $args[ 'module' ] ) {

                $module_text = esc_html__( 'Message', 'shipped-table-rate-shipping' );

                $module_tool_text = esc_html__( 'message', 'shipped-table-rate-shipping' );
            }
            
            $in_fields[] = array(
                'id' => 'match_mode',
                'type' => 'select2',
                'full_width' => true,
                'center_head' => true,
                /* translators: 1: module tool text */
                'title' => sprintf( esc_html__( '%s Conditions', 'shipped-table-rate-shipping' ), $module_text ),
                /* translators: 1: module tool text 2: module tool text */
                'desc' => sprintf( esc_html__( 'List of conditions in which this %1$s should apply, empty conditions will apply this %2$s in any scenario', 'shipped-table-rate-shipping' ), $module_tool_text, $module_tool_text ),
                'default' => 'match_all',
                'options' => array(
                    'match_all' => esc_html__( 'All conditions should match', 'shipped-table-rate-shipping' ),
                    'match_one' => esc_html__( 'At least one condition should match', 'shipped-table-rate-shipping' ),
                ),
                'width' => '320px',
            );


            return $in_fields;
        }

        public function get_method_conditions_fields( $in_fields, $args ) {

            $in_fields[] = array(
                'id' => 'match_mode',
                'type' => 'select2',
                'full_width' => true,
                'center_head' => true,
                'title' => esc_html__( 'Method Conditions', 'shipped-table-rate-shipping' ),
                'desc' => esc_html__( 'List of conditions in which this shipping method should apply, empty conditions will apply this shipping method in any scenario', 'shipped-table-rate-shipping' ),
                'default' => 'match_all',
                'options' => array(
                    'match_all' => esc_html__( 'All conditions should match', 'shipped-table-rate-shipping' ),
                    'match_one' => esc_html__( 'At least one condition should match', 'shipped-table-rate-shipping' ),
                ),
                'width' => '320px',
            );

            return WTARS_Shipped_Admin_Logic_Types_Conditions::get_condition_fields( $in_fields, $args );

            return $in_fields;
        }

    }

    new WTARS_Shipped_Premium_Admin_Logic_Types_Conditions();
}
