<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}


if ( !class_exists( 'WTARS_Shipped_Admin_Parameter_Type_Shipping_Cost' ) ) {

    class WTARS_Shipped_Admin_Parameter_Type_Shipping_Cost {

        public function __construct() {
            add_filter( 'wtars_shipped_admin/get-parameter-type-groups', array( $this, 'get_groups' ), 30, 2 );
            add_filter( 'wtars_shipped_admin/get-parameter-group-types-shipping_cost', array( $this, 'get_types' ), 10, 2 );
        }
        
        public function get_groups( $in_groups, $args ) {

            $in_groups[ 'shipping_cost' ] = esc_html__( 'Shipping Cost', 'shipped-table-rate-shipping' );

            return $in_groups;
        }
        
        public function get_types( $in_types = array(), $args ) {

            $in_types[ 'shipping_cost' ] = esc_html__( 'Shipping cost including tax', 'shipped-table-rate-shipping' );
            $in_types[ 'shipping_cost_ex_tax' ] = esc_html__( 'Shipping cost excluding tax', 'shipped-table-rate-shipping' );
            $in_types[ 'shipping_tax' ] = esc_html__( 'Shipping cost tax', 'shipped-table-rate-shipping' );

            return $in_types;
        }
        

    }

    new WTARS_Shipped_Admin_Parameter_Type_Shipping_Cost();
}