<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}


if ( !class_exists( 'WTARS_Shipped_Admin_Parameter_Type_Totals' ) ) {

    class WTARS_Shipped_Admin_Parameter_Type_Totals {

        private $prefix = 'totals:';

        public function __construct() {
            add_filter( 'wtars_shipped_admin/get-parameter-type-groups', array( $this, 'get_groups' ), 20, 2 );
            add_filter( 'wtars_shipped_admin/get-parameter-group-types-totals', array( $this, 'get_types' ), 10, 2 );
        }

        public function get_groups( $in_groups, $args ) {

            $in_groups[ 'totals' ] = esc_html__( 'Cart &amp; Package Totals', 'shipped-table-rate-shipping' );

            return $in_groups;
        }

        public function get_types( $in_types = array(), $args ) {

            $options = $this->get_options();

            foreach ( $options as $option ) {
                $in_types[ $this->prefix . $option[ 'option_id' ] ] = $option[ 'title' ];
            }

            return $in_types;
        }

        private function get_options() {

            global $wtars_shipped;

            $options = array();

            if ( isset( $wtars_shipped[ 'checkout_totals' ] ) ) {
                $options = $wtars_shipped[ 'checkout_totals' ];
            } else {
                $options = self::get_defaults();
            }

            return $options;
        }

        private static function get_defaults() {
            return array(
                array(
                    'title' => esc_html__( 'Cart Subtotals', 'shipped-table-rate-shipping' ),
                    'option_id' => '2234343',
                ),
                array(
                    'title' => esc_html__( 'Package Totals', 'shipped-table-rate-shipping' ),
                    'option_id' => '2234344',
                ),
            );
        }

    }

    new WTARS_Shipped_Admin_Parameter_Type_Totals();
}
