<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}


if ( !class_exists( 'WTARS_Shipped_Admin_Parameter_Type_Weight' ) ) {

    class WTARS_Shipped_Admin_Parameter_Type_Weight {

        private $prefix = 'weight:';

        public function __construct() {
            add_filter( 'wtars_shipped_admin/get-parameter-type-groups', array( $this, 'get_groups' ), 10, 2 );
            add_filter( 'wtars_shipped_admin/get-parameter-group-types-weights', array( $this, 'get_types' ), 10, 2 );
        }

        public function get_groups( $in_groups, $args ) {

            $in_groups[ 'weights' ] = esc_html__( 'Package Weight', 'shipped-table-rate-shipping' );

            return $in_groups;
        }

        public function get_types( $in_types = array(), $args ) {

            $options = $this->get_options();

            foreach ( $options as $option ) {

                $title = $option[ 'admin_note' ];

                if ( empty( $title ) ) {

                    $title = $this->get_defualt_title( $option );
                }

                $in_types[ $this->prefix . $option[ 'option_id' ] ] = $title;
            }

            return $in_types;
        }

        private function get_options() {

            global $wtars_shipped;

            $options = array();

            if ( isset( $wtars_shipped[ 'weight_calcs' ] ) ) {
                $options = $wtars_shipped[ 'weight_calcs' ];
            } else {
                $options = self::get_defaults();
            }

            return $options;
        }

        private function get_defualt_title( $option ) {
            if ( '2234343' == $option[ 'option_id' ] ) {
                return esc_html__( 'Weight', 'shipped-table-rate-shipping' );
            }
            return esc_html__( 'Volumetric Weight', 'shipped-table-rate-shipping' );
        }

        private function get_defaults() {

            return array(
                array(
                    'admin_note' => esc_html__( 'Weight', 'shipped-table-rate-shipping' ),
                    'option_id' => '2234343',
                ),
                array(
                    'admin_note' => esc_html__( 'Volumetric Weight', 'shipped-table-rate-shipping' ),
                    'option_id' => '2234344',
                ),
            );
        }

    }

    new WTARS_Shipped_Admin_Parameter_Type_Weight();
}
    