<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Parameter_Types' ) ) {

    ReonUtil::recursive_require( dirname( __FILE__ ), array( 'parameter-types.php' ) );

    class WTARS_Shipped_Admin_Parameter_Types {

        private static $parameter_types = array();

        public static function get_types( $args ) {

            if ( isset( self::$parameter_types[ $args[ 'module' ] ] ) ) {
                return self::$parameter_types[ $args[ 'module' ] ];
            }

            $type_groups = apply_filters( 'wtars_shipped_admin/get-parameter-type-groups', array(), $args );

            foreach ( $type_groups as $key => $type_group ) {
                self::$parameter_types[ $args[ 'module' ] ][ $key ][ 'label' ] = $type_group;
                self::$parameter_types[ $args[ 'module' ] ][ $key ][ 'options' ] = apply_filters( 'wtars_shipped_admin/get-parameter-group-types-' . $key, array(), $args );
            }

            return self::$parameter_types[ $args[ 'module' ] ];
        }

    }

}
