<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Product_Filter_Types' ) ) {

    ReonUtil::recursive_require( dirname( __FILE__ ), array( 'product-filter-types.php' ) );

    class WTARS_Shipped_Admin_Product_Filter_Types {

        public static function get_groups( $args ) {

            return apply_filters( 'wtars_shipped_admin/get-product-filter-groups', array(), $args );
        }

        public static function get_product_filters( $group_id, $args ) {

            $in_list = apply_filters( 'wtars_shipped_admin/get-' . $group_id . '-group-product-filters', array(), $args );

            return $in_list;
        }
        
         public static function get_product_filter_fields( $filter_id, $args ) {
            $args[ 'filter_id' ] = $filter_id;
            $in_fields = array(
                array(
                    'id' => 'is_req',
                    'type' => 'select2',
                    'default' => '>=',
                    'options' => array(
                        'yes' => esc_html__( 'Required', 'shipped-table-rate-shipping' ),
                        'no' => esc_html__( 'Optional', 'shipped-table-rate-shipping' ),
                    ),
                    'width' => '98%',
                    'box_width' => '19%',
                ),
            );
            return apply_filters( 'wtars_shipped_admin/get-' . $filter_id . '-product-filter-fields', $in_fields, $args );
        }

        
    }

}

