<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}



if ( !class_exists( 'WTARS_Shipped_Premium_Admin_Checkout_Messages_Section' ) ) {

    ReonUtil::recursive_require( dirname( __FILE__ ), array( 'checkout-messages-section.php' ) );

    class WTARS_Shipped_Premium_Admin_Checkout_Messages_Section extends WTARS_Shipped_Admin_Section {

        public function process_rule( $rule ) {

            $args = array(
                'instance_id' => $this->get_instance_id(),
                'option_name' => $this->get_option_name(),
                'module' => 'checkout-messages',
                'sub_module' => 'parameters',
            );
            
            
            if ( isset( $rule[ 'parameters' ] ) ) {
                $rule[ 'parameters' ] = $this->process_parameters( $rule[ 'parameters' ], $args );
            }

            return $rule;
        }

        private function process_parameters( $raw_parameters, $args ) {

            $parameters = array();

            foreach ( $raw_parameters as $key => $raw_parameter ) {

                $parameter = array();

                $parameter[ 'parameter_id' ] = $raw_parameter[ 'parameter_id' ];

                $parameter[ 'parameter_type' ] = $raw_parameter[ 'parameter_type' ];


                $parameter = apply_filters( 'wtars_shipped_admin/process-parameter-options', apply_filters( 'wtars_shipped_admin/process-parameter-type-' . $raw_parameter[ 'parameter_type' ] . '-options', $parameter, $raw_parameter, $args ), $raw_parameter, $args );


                $parameters[ $key ] = $parameter;
            }

            return $parameters;
        }

    }

}
