<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Premium_Admin_Page' ) ) {

    require_once (dirname( __FILE__ ) . '/shipping-rates-section/shipping-rates-section.php');
    require_once (dirname( __FILE__ ) . '/cart-fees-section/cart-fees-section.php');
    require_once (dirname( __FILE__ ) . '/checkout-messages-section/checkout-messages-section.php');
    require_once (dirname( __FILE__ ) . '/settings-section/settings-section.php');

    class WTARS_Shipped_Premium_Admin_Page extends WTARS_Shipped_Admin_Page {

        public function __construct() {

            //Initialize Sections
            new WTARS_Shipped_Admin_Premium_Shipping_Rates_Section( $this->get_option_name(), $this->get_instance_id() );
            new WTARS_Shipped_Admin_Premium_Cart_Fees_Section( $this->get_option_name(), $this->get_instance_id() );

            add_filter( 'plugin_action_links_' . plugin_basename( WTARS_SHIPPED_PREMIUM_FILE ), array( $this, 'get_plugin_links' ), 10, 1 );
        }

        public function get_plugin_links( $links ) {

            $doc_link = '<a href="' . esc_url( 'https://zencrew.freshdesk.com/support/solutions/51000121629' ) . '">' . esc_html__( 'Documentation', 'shipped-table-rate-shipping' ) . '</a>';

            array_unshift( $links, $doc_link );

            $settings_url = admin_url( 'admin.php?page=wc-settings&tab=shipping' );

            $settings_link = '<a href="' . esc_url( $settings_url ) . '">' . esc_html__( 'Settings', 'shipped-table-rate-shipping' ) . '</a>';

            array_unshift( $links, $settings_link );

            return $links;
        }

    }

    new WTARS_Shipped_Premium_Admin_Page();
}