<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Hide_Methods_Settings' ) ) {

    class WTARS_Shipped_Admin_Hide_Methods_Settings {

        public function __construct() {
            add_filter( 'wtars_shipped_admin/get-settings-section-fields', array( $this, 'get_panel' ), 60, 2 );
        }

        public function get_panel( $in_fields, $args ) {

            $in_fields[] = array(
                'id' => 'any_id',
                'type' => 'panel',
                'last' => true,
                'white_panel' => false,
                'panel_size' => 'smaller',
                'width' => '100%',
                'field_css_class' => array( 'shipped_setting_panel' ),
                'merge_fields' => false,
                'fields' => $this->get_fields( array(), $args ),
            );

            return $in_fields;
        }

        private function get_fields( $in_fields, $args ) {

            $in_fields[] = array(
                'id' => 'any_id',
                'type' => 'paneltitle',
                'full_width' => true,
                'center_head' => true,
                'title' => esc_html__( 'Hide Shipping Methods', 'shipped-table-rate-shipping' ),
                'desc' => esc_html__( 'Use these settings to hide this or other shipping methods', 'shipped-table-rate-shipping' ),
            );



            $in_fields[] = array(
                'id' => 'hide_methods',
                'type' => 'columns-field',
                'columns' => 5,
                'merge_fields' => true,
                'fields' => array(
                    array(
                        'id' => 'mode',
                        'type' => 'select2',
                        'column_size' => 2,
                        'tooltip' => esc_html__( 'Controls how shipping methods should hidden', 'shipped-table-rate-shipping' ),
                        'column_title' => esc_html__( 'Mode', 'shipped-table-rate-shipping' ),
                        'default' => 'no',
                        'options' => array(
                            'no' => esc_html__( 'Do not hide any shipping method', 'shipped-table-rate-shipping' ),
                            'hide_others' => esc_html__( 'Hide other available shipping methods', 'shipped-table-rate-shipping' ),
                            'hide_this' => esc_html__( 'Hide this method when other methods are available', 'shipped-table-rate-shipping' ),
                        ),
                        'width' => '100%',
                        'fold_id' => 'hide_mode'
                    ),
                    array(
                        'id' => 'methods',
                        'type' => 'select2',
                        'column_size' => 3,
                        'multiple' => true,
                        'tooltip' => esc_html__( 'The other available shipping methods', 'shipped-table-rate-shipping' ),
                        'column_title' => esc_html__( 'Other Shipping Methods', 'shipped-table-rate-shipping' ),
                        'options' => WTARS_Shipped_Premium_Extension::get_other_shipping_rates( $args ),
                        'width' => '100%',
                        'fold' => array(
                            'target' => 'hide_mode',
                            'attribute' => 'value',
                            'value' => 'no',
                            'oparator' => 'neq',
                            'clear' => false,
                        ),
                    ),
                ),
            );

            return $in_fields;
        }

    }

    new WTARS_Shipped_Admin_Hide_Methods_Settings();
}
