<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_WMC_Fees' ) ) {

    class WTARS_Shipped_WMC_Fees {

        public function __construct() {

            add_filter( 'wtars_shipped/fee-cost', array( $this, 'convert_fee' ), 10, 3 );
            add_filter( 'wtars_shipped/fee-tax', array( $this, 'convert_fee_tax_total' ), 10, 3 );
            add_filter( 'wtars_shipped/fee-taxes', array( $this, 'convert_fee_taxes' ), 10, 3 );
            add_filter( 'wtars_shipped/rate-fee', array( $this, 'convert_rate_fee' ), 10, 4 );
        }

        public function convert_fee( $fee_cost, $fee_id, $instance_id ) {

            $converter = $this->get_converter();

            return $converter->convert_amount( $fee_cost );
        }

        public function convert_fee_tax_total( $fee_tax_total, $fee_id, $instance_id ) {
            $converter = $this->get_converter();

            return $converter->convert_amount( $fee_tax_total );
        }

        public function convert_fee_taxes( $fee_taxes, $fee_id, $instance_id ) {

            $converter = $this->get_converter();

            return $converter->convert_amount_list( $fee_taxes );
        }

        public function convert_rate_fee( $rate_fee, $rate, $fee, $instance_id ) {

            $converter = $this->get_converter();

            $rate_fee[ 'cost' ] = $converter->convert_amount( $rate_fee[ 'cost' ] );
            $rate_fee[ 'tax_total' ] = $converter->convert_amount( $rate_fee[ 'tax_total' ] );
            $rate_fee[ 'taxes' ] = $converter->convert_amount_list( $rate_fee[ 'taxes' ] );

            return $rate_fee;
        }

        private function get_converter() {

            return WTARS_Shipped_WMC::get_instance();
        }

    }

    new WTARS_Shipped_WMC_Fees();
}

