<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_WPML_Fees' ) ) {

    class WTARS_Shipped_WPML_Fees {

        public function __construct() {

            add_filter( 'wtars_shipped/fee-title', array( $this, 'tranlate_title' ), 10, 3 );
            add_filter( 'wtars_shipped/fee-tooltip', array( $this, 'tranlate_tooltip' ), 10, 3 );
        }

        public function tranlate_title( $title, $fee_id, $instance_id ) {

            $id_prefix = $this->get_string_id_prefix( $fee_id, $instance_id );

            $string_id = $id_prefix . 'title';

            return WTARS_Shipped_WPML::get_translated_string( $title, $string_id );
        }

        public function tranlate_tooltip( $tooltip, $fee_id, $instance_id ) {

            $id_prefix = $this->get_string_id_prefix( $fee_id, $instance_id );

            $string_id = $id_prefix . 'tooltip';

            return WTARS_Shipped_WPML::get_translated_string( $tooltip, $string_id );
        }

        public function get_strings( $options, $instance_id ) {

            $fee_strings = array();

            foreach ( $this->get_fees( $options ) as $fee ) {

                $key = $this->get_string_id_prefix( $fee[ 'fee_id' ], $instance_id );

                $fee_strings[ $key . 'title' ] = $fee[ 'title' ];

                $fee_strings[ $key . 'tooltip' ] = $fee[ 'tooltip' ];
            }

            return $fee_strings;
        }

        private function get_string_id_prefix( $fee_id, $instance_id ) {

            return 'wtars_shipped_fee_' . $instance_id . '_' . $fee_id . '_';
        }

        private function get_fees( $options ) {

            if ( !isset( $options[ 'cart_fees' ] ) ) {

                return array();
            }

            return $options[ 'cart_fees' ];
        }

    }

}