<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Conditions_Billing' ) ) {

    class WTARS_Shipped_Conditions_Billing {

        public function __construct() {

            add_filter( 'wtars_shipped/validate-pament_methods-condition', array( $this, 'validate_pament_methods' ), 10, 2 );
        }

        public function validate_pament_methods( $condition, $data ) {

            $rule_payment_methods = $condition[ 'payment_methods' ];

            $rule_compare = $condition[ 'compare' ];

            if ( !is_array( $rule_payment_methods ) ) {
                return false;
            }

            $payment_method = $data[ 'wc' ][ 'cart' ][ 'method_id' ];

            if ( empty( $payment_method ) ) {
                return false;
            }

            return WTARS_Shipped_Validation_Util::validate_value_list( $payment_method, $rule_payment_methods, $rule_compare );
        }

    }

    new WTARS_Shipped_Conditions_Billing();
}