<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Premium_Conditions_Shipping_Address' ) ) {

    class WTARS_Shipped_Premium_Conditions_Shipping_Address {

        public function __construct() {
            add_filter( 'wtars_shipped/validate-shipping_continents-condition', array( $this, 'validate_continent' ), 10, 2 );
            add_filter( 'wtars_shipped/validate-shipping_cities-condition', array( $this, 'validate_cities' ), 10, 2 );
        }

        public function validate_continent( $condition, $data ) {

            $rule_continents = $condition[ 'continents' ];

            $rule_compare = $condition[ 'compare' ];

            if ( !is_array( $rule_continents ) ) {
                return false;
            }

            $country = $data[ 'wc' ][ 'package' ][ 'destination' ][ 'country' ];

            if ( empty( $country ) ) {
                return false;
            }

            $wc_Countries = new WC_Countries();

            $continent = $wc_Countries->get_continent_code_for_country( $country );

            return WTARS_Shipped_Validation_Util::validate_value_list( $continent, $rule_continents, $rule_compare );
        }

        public function validate_cities( $condition, $data ) {

            $rule_city_str = $condition[ 'cities' ];

            if ( empty( $rule_city_str ) ) {
                return false;
            }

            $rule_cities = explode( ',', str_replace( ', ', ',', strtolower( $rule_city_str ) ) );

            $rule_compare = $condition[ 'compare' ];

            $city = strtolower( $data[ 'wc' ][ 'package' ][ 'destination' ][ 'city' ] );

            return WTARS_Shipped_Validation_Util::validate_value_list( $city, $rule_cities, $rule_compare );
        }

    }

    new WTARS_Shipped_Premium_Conditions_Shipping_Address();
}
