<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Conditions_Shipping' ) ) {

    class WTARS_Shipped_Conditions_Shipping {

        public function __construct() {
            add_filter( 'wtars_shipped/validate-shipping_needed-condition', array( $this, 'validate_shipping_needed' ), 10, 2 );
        }
        
        public function validate_shipping_needed( $condition, $data ) {
            
            $rule_needs_shipping = $condition[ 'needs_shipping' ];

            $needs_shipping = $data[ 'wc' ]['cart'][ 'needs_shipping' ];

            return WTARS_Shipped_Validation_Util::validate_yes_no( $needs_shipping, $rule_needs_shipping );

        }

    }

    new WTARS_Shipped_Conditions_Shipping();
}
