<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Premium_Condition_Types' ) ) {

    WTARS_Shipped_Inc::recursive_require( dirname( __FILE__ ), array( 'condition-types.php' ) );

    class WTARS_Shipped_Premium_Condition_Types {

        public static function validate_conditions( $option_conditions, $data ) {

            // all conditions must match
            $match_all = true;
            if ( isset( $option_conditions[ 'match_mode' ] ) ) {
                $match_all = ('match_all' == $option_conditions[ 'match_mode' ]);
            }

            $is_valid = false;
            // go through each conditions and validate them
            foreach ( $option_conditions[ 'conditions' ] as $cond ) {

                $condition_type = $cond[ 'condition_type' ];

                $condition = array(
                    'condition_type' => $condition_type,
                );

                if ( isset( $cond[ 'condition_type_' . $condition_type ] ) ) {
                    
                    $condition = self::get_condition_args( $condition, $cond[ 'condition_type_' . $condition_type ] );
                }

                $condition[ 'module' ] = $option_conditions[ 'module' ];
                $condition[ 'sub_module' ] = $option_conditions[ 'sub_module' ];

                $is_vld = apply_filters( 'wtars_shipped/validate-' . $condition_type . '-condition', $condition, $data );

                if ( true == $match_all && false == $is_vld ) {
                    return false;
                }

                if ( true == $is_vld ) {
                    $is_valid = true;
                }
            }

            return $is_valid;
        }

        private static function get_condition_args( $condition, $option_conditions ) {

            foreach ( $option_conditions as $key => $condition_arg ) {

                if ( $key == 'condition_type' ) {
                    continue;
                }

                $condition[ $key ] = $condition_arg;
            }

            return $condition;
        }

    }

}

