<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Premium_Shipping_Rates' ) ) {

    WTARS_Shipped_Inc::recursive_require( dirname( __FILE__ ), array( 'shipping-rates.php' ) );

    class WTARS_Shipped_Premium_Shipping_Rates {

        public function get_is_available( $is_available, $instance_id, $data ) {

            //get availability if needed
            if ( isset( $data[ 'is_availables' ][ $instance_id ] ) ) {

                return $data[ 'is_availables' ][ $instance_id ];
            }

            return $is_available;
        }

        public static function maybe_hide_methods( $rates, $instance_id, $hide_args ) {



            $method_instance_ids = WTARS_Shipped_Premium_Extension::get_other_shipping_rate_ids( $rates, $instance_id );


            $other_rates_ids = self::get_others_ids( $hide_args, $method_instance_ids, $instance_id );

            // hide other methods
            if ( 'hide_others' == $hide_args[ 'mode' ] ) {

                foreach ( $other_rates_ids as $key ) {
                    if ( isset( $rates[ $key ] ) ) {
                        unset( $rates[ $key ] );
                    }
                }
            } else if ( count( $other_rates_ids ) ) {

                $keys = array_keys( $rates );
                foreach ( $keys as $key ) {
                    $method_instance_id = $rates[ $key ]->get_instance_id();
                    if ( $method_instance_id == $instance_id && isset( $rates[ $key ] ) ) {
                        unset( $rates[ $key ] );
                    }
                }
            }

            return $rates;
        }

        private static function get_others_ids( $hide_args, $method_instance_ids, $instance_id ) {

            $hide_values = array();

            if ( isset( $hide_args[ 'methods' ] ) && is_array( $hide_args[ 'methods' ] ) ) {
                $hide_values = $hide_args[ 'methods' ];
            }

            if ( !count( $hide_values ) ) {
                return array_keys( $method_instance_ids );
            }

            $rate_ids = array();

            foreach ( $method_instance_ids as $key => $method_instance_id ) {

                if ( !in_array( $method_instance_id, $hide_values ) ) {
                    continue;
                }

                if ( in_array( $key, $rate_ids ) ) {
                    continue;
                }

                $rate_ids[] = $key;
            }
            return $rate_ids;
        }

    }

}