<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Parameter_Type_Shipping_Cost' ) ) {

    class WTARS_Shipped_Parameter_Type_Shipping_Cost {

        public function get_parameter( $parameter, $parameter_type, $data ) {

            $totals = $this->get_totals( $data );

            $parameter[ 'is_currency' ] = true;

            if ( 'shipping_cost' == $parameter_type ) {
                $parameter[ 'value' ] = $totals[ 'cost' ] + $totals[ 'cost_tax' ];
            }

            if ( 'shipping_cost_ex_tax' == $parameter_type ) {
                $parameter[ 'value' ] = $totals[ 'cost' ];
            }

            if ( 'shipping_tax' == $parameter_type ) {
                $parameter[ 'value' ] = $totals[ 'cost_tax' ];
            }

            return $parameter;
        }

        private function get_totals( $data ) {

            $totals = array(
                'cost' => 0,
                'cost_tax' => 0,
            );

            if ( !isset( $data[ 'wc' ][ 'cart' ][ 'shipping_rates' ] ) ) {
                return $totals;
            }

            foreach ( $data[ 'wc' ][ 'cart' ][ 'shipping_rates' ] as $shipping_rate ) {
                $totals[ 'cost' ] += $shipping_rate[ 'cost' ];
                $totals[ 'cost_tax' ] += $shipping_rate[ 'shipping_tax' ];
            }

            return $totals;
        }

    }

}