<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Parameter_Type_Weight' ) ) {

    class WTARS_Shipped_Parameter_Type_Weight {

        public function get_parameter( $parameter, $subtypes, $parameter_args, $data ) {

            $weight_args = array(
                'instance_id' => $parameter_args[ 'instance_id' ],
                'option_id' => $subtypes[ 1 ],
            );

            $package_items = $this->get_package_items( $data );

            $weight_calc = new WTARS_Shipped_Weight_Calculator();

            $total_weight = $weight_calc->get_total_weight( $package_items, $weight_args );

            $parameter[ 'value' ] = $total_weight;

            return $parameter;
        }

        private function get_package_items( $data ) {

            return WTARS_Shipped_Product_Filter_Types::get_package_items( $data, array(), true );
        }

    }

}