<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Parameter_Types' ) ) {
    WTARS_Shipped_Inc::recursive_require( dirname( __FILE__ ), array( 'parameter-types.php' ) );

    class WTARS_Shipped_Parameter_Types {

        public static function get_parameters( $parameters_args, $data ) {

            $parameters = array();

            // go through each of the parameter args and apply them
            foreach ( $parameters_args as $parameter_args ) {

                $parameter = array(
                    'parameter_type' => $parameter_args[ 'parameter_type' ],
                    'is_currency' => false,
                    'value' => false,
                );

                $subtypes = explode( ':', $parameter_args[ 'parameter_type' ] );

                if ( count( $subtypes ) > 1 && 'weight' == $subtypes[ 0 ] ) {

                    $weight_params = new WTARS_Shipped_Parameter_Type_Weight();
                    $parameter_args[ 'subtypes' ] = $subtypes;
                    $parameter = $weight_params->get_parameter( $parameter, $subtypes, $parameter_args, $data );
                } else if ( count( $subtypes ) > 1 && 'totals' == $subtypes[ 0 ] ) {

                    $totals_params = new WTARS_Shipped_Parameter_Type_Totals();
                    $parameter_args[ 'subtypes' ] = $subtypes;
                    $parameter = $totals_params->get_parameter( $parameter, $subtypes, $parameter_args, $data );
                } else if ( 'shipping_cost' == $parameter_args[ 'parameter_type' ] || 'shipping_cost_ex_tax' == $parameter_args[ 'parameter_type' ] || 'shipping_tax' == $parameter_args[ 'parameter_type' ] ) {

                    $shipping_cost_params = new WTARS_Shipped_Parameter_Type_Shipping_Cost();
                    $parameter = $shipping_cost_params->get_parameter( $parameter, $parameter_args[ 'parameter_type' ], $data );
                }

                $parameters[ $parameter_args[ 'parameter_id' ] ] = $parameter;
            }

            return $parameters;
        }

    }

}