<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}


if ( !class_exists( 'WTARS_Shipped_Product_Filter_Type_Prices' ) ) {

    class WTARS_Shipped_Product_Filter_Type_Prices {

        public function __construct() {

            add_filter( 'wtars_shipped/validate-item_price-fitler', array( $this, 'validate_prices' ), 1, 2 );
            add_filter( 'wtars_shipped/validate-item_price_ex_tax-fitler', array( $this, 'validate_prices' ), 1, 2 );
            add_filter( 'wtars_shipped/validate-item_d_price-fitler', array( $this, 'validate_prices' ), 1, 2 );
            add_filter( 'wtars_shipped/validate-item_d_price_ex_tax-fitler', array( $this, 'validate_prices' ), 1, 2 );
        }

        public function validate_prices( $filter_args, $package_item ) {

            $filter_type = $filter_args[ 'filter_type' ];

            $item_price = $this->get_item_price( $filter_type, $package_item );

            $filter_compare = $filter_args[ 'compare' ];

            if ( '--' == $filter_compare ) {
                
                $filter_from_price = 0;

                if ( is_numeric( $filter_args[ 'from_price' ] ) ) {

                    $filter_from_price = $filter_args[ 'from_price' ];
                }
                
                $filter_to_price = .01;

                if ( is_numeric( $filter_args[ 'to_price' ] ) ) {

                    $filter_to_price = $filter_args[ 'to_price' ];
                }
                                
                $from_is_valid = WTARS_Shipped_Validation_Util::validate_value( '>=', $item_price, $filter_from_price, 'no' );

                $to_is_valid = WTARS_Shipped_Validation_Util::validate_value( '<=', $item_price, $filter_to_price, 'no' );

                return (true == $from_is_valid && true == $to_is_valid);
                
            }

            $filter_price = 0;

            if ( is_numeric( $filter_args[ 'price' ] ) ) {

                $filter_price = $filter_args[ 'price' ];
            }

            return WTARS_Shipped_Validation_Util::validate_value( $filter_compare, $item_price, $filter_price, 'no' );
        }

        private function get_item_price( $filter_type, $package_item ) {

            switch ( $filter_type ) {

                case 'item_price_ex_tax':

                    return $package_item[ 'line_price' ];

                case 'item_d_price':

                    return $package_item[ 'line_total_price' ] + $package_item[ 'line_total_price_tax' ];

                case 'item_d_price_ex_tax':

                    return $package_item[ 'line_total_price' ];

                default:

                    return $package_item[ 'line_price' ] + $package_item[ 'line_price_tax' ];
            }
        }

    }

    new WTARS_Shipped_Product_Filter_Type_Prices();
}