<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}


if ( !class_exists( 'WTARS_Shipped_Product_Filter_Type_Subtotals' ) ) {

    class WTARS_Shipped_Product_Filter_Type_Subtotals {

        public function __construct() {

            add_filter( 'wtars_shipped/validate-item_subtotal-fitler', array( $this, 'validate_subtotals' ), 1, 2 );
            add_filter( 'wtars_shipped/validate-item_subtotal_ex_tax-fitler', array( $this, 'validate_subtotals' ), 1, 2 );
            add_filter( 'wtars_shipped/validate-item_d_subtotal-fitler', array( $this, 'validate_subtotals' ), 1, 2 );
            add_filter( 'wtars_shipped/validate-item_d_subtotal_ex_tax-fitler', array( $this, 'validate_subtotals' ), 1, 2 );
        }

        public function validate_subtotals( $filter_args, $package_item ) {

            $filter_type = $filter_args[ 'filter_type' ];

            $item_subtotal = $this->get_item_subtotal( $filter_type, $package_item );

            $filter_compare = $filter_args[ 'compare' ];

            if ( '--' == $filter_compare ) {
                
                $filter_from_subtotal = 0;

                if ( is_numeric( $filter_args[ 'from_subtotal' ] ) ) {

                    $filter_from_subtotal = $filter_args[ 'from_subtotal' ];
                }
                
                $filter_to_subtotal = .01;

                if ( is_numeric( $filter_args[ 'to_subtotal' ] ) ) {

                    $filter_to_subtotal = $filter_args[ 'to_subtotal' ];
                }
                
                $from_is_valid = WTARS_Shipped_Validation_Util::validate_value( '>=', $item_subtotal, $filter_from_subtotal, 'no' );

                $to_is_valid = WTARS_Shipped_Validation_Util::validate_value( '<=', $item_subtotal, $filter_to_subtotal, 'no' );

                return (true == $from_is_valid && true == $to_is_valid);
                
            }

            $filter_subtotal = 0;

            if ( is_numeric( $filter_args[ 'subtotal' ] ) ) {

                $filter_subtotal = $filter_args[ 'subtotal' ];
            }

            return WTARS_Shipped_Validation_Util::validate_value( $filter_compare, $item_subtotal, $filter_subtotal, 'no' );
        }

        private function get_item_subtotal( $filter_type, $package_item ) {

            switch ( $filter_type ) {

                case 'item_subtotal_ex_tax':

                    return $package_item[ 'line_subtotal' ];

                case 'item_d_subtotal':

                    return $package_item[ 'line_total' ] + $package_item[ 'line_tax' ];

                case 'item_d_subtotal_ex_tax':

                    return $package_item[ 'line_total' ];

                default:

                    return $package_item[ 'line_subtotal' ] + $package_item[ 'line_subtotal_tax' ];
            }
        }

    }

    new WTARS_Shipped_Product_Filter_Type_Subtotals();
}