<?php

if ( !class_exists( 'WTARS_Shipped_Premium_Cache' ) ) {

    class WTARS_Shipped_Premium_Cache {

        public static function get_hash( $params, $settings ) {

            foreach ( $settings[ 'cache_params' ] as $cache_param ) {

                if ( 'applied_coupons' == $cache_param ) {
                    $params[ 'applied_coupons' ] = self::get_applied_coupons_param();
                }

                if ( 'billing_address' == $cache_param ) {
                    $params[ 'billing_address' ] = self::get_billing_addr_param();
                }

                if ( 'shipping_address' == $cache_param ) {
                    $params[ 'shipping_address' ] = self::get_shipping_addr_param();
                }

                if ( 'payment_methods' == $cache_param ) {
                    $params[ 'payment_methods' ] = WC()->session->get( 'chosen_payment_method' );
                }

                if ( 'current_year' == $cache_param ) {
                    $params[ 'current_year' ] = date( 'Y' );
                }

                if ( 'current_month' == $cache_param ) {
                    $params[ 'current_month' ] = date( 'Y-m' );
                }

                if ( 'current_day' == $cache_param ) {
                    $params[ 'current_day' ] = date( 'Y-m-d' );
                }

                if ( 'current_hour' == $cache_param ) {
                    $params[ 'current_hour' ] = date( 'Y-m-d-H' );
                }

                if ( 'current_minute' == $cache_param ) {
                    $params[ 'current_minute' ] = date( 'Y-m-d-H-i' );
                }

                if ( 'current_10_minute' == $cache_param ) {
                    $params[ 'current_10_minute' ] = $this->every_minutes( '10' );
                }

                if ( 'current_10_minute' == $cache_param ) {
                    $params[ 'current_30_minute' ] = $this->every_minutes( '30' );
                }
            }

            return $params;
        }

        private function every_minutes( $interval ) {

            $minute = date( 'i' );

            $e_minute = 0;


            $currnt = date( 'Y-m-d-H' );

            if ( '10' == $interval && $minute < 10 ) {
                return $currnt . '-0';
            }

            if ( '10' == $interval && $minute < 20 ) {
                return $currnt . '-10';
            }

            if ( '10' == $interval && $minute < 30 ) {
                return $currnt . '-20';
            }

            if ( '10' == $interval && $minute < 40 ) {
                return $currnt . '-30';
            }

            if ( '10' == $interval && $minute < 50 ) {
                return $currnt . '-40';
            }

            if ( '10' == $interval ) {
                return $currnt . '-50';
            }

            if ( '30' == $interval && $minute < 30 ) {
                return $currnt . '-0';
            }

            if ( '30' == $interval && $minute >= 30 ) {
                return $currnt . '-30';
            }
        }

        private static function get_applied_coupons_param() {
            return array(
                'coupons' => WC()->session->get( 'applied_coupons' ),
                'discount_totals' => WC()->session->get( 'coupon_discount_totals' ),
                'discounttax_totals' => WC()->session->get( 'coupon_discount_tax_totals' ),
            );
        }

        private static function get_billing_addr_param() {

            $customer = WC()->session->get( 'customer' );

            $addr = array(
                'postcode' => isset( $customer[ 'postcode' ] ) ? $customer[ 'postcode' ] : '',
                'city' => isset( $customer[ 'city' ] ) ? $customer[ 'city' ] : '',
                'state' => isset( $customer[ 'state' ] ) ? $customer[ 'state' ] : '',
                'country' => isset( $customer[ 'country' ] ) ? $customer[ 'country' ] : '',
            );

            return $addr;
        }

        private static function get_shipping_addr_param() {

            $customer = WC()->session->get( 'customer' );

            $addr = array(
                'shipping_postcode' => isset( $customer[ 'shipping_postcode' ] ) ? $customer[ 'shipping_postcode' ] : '',
                'shipping_city' => isset( $customer[ 'shipping_city' ] ) ? $customer[ 'shipping_city' ] : '',
                'shipping_state' => isset( $customer[ 'shipping_state' ] ) ? $customer[ 'shipping_state' ] : '',
                'shipping_country' => isset( $customer[ 'shipping_country' ] ) ? $customer[ 'shipping_country' ] : '',
            );

            return $addr;
        }

    }

}