<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Total_Types_Cart_Coupons' ) ) {

    class WTARS_Shipped_Total_Types_Cart_Coupons {

        public function calc_totals( $totals, $option, $data ) {

            $coupon_totals = $this->get_totals( $data );

            if ( 'coupons' == $option ) {
                $totals += $coupon_totals[ 'total' ];
            }

            if ( 'coupons_taxes' == $option ) {
                $totals += $coupon_totals[ 'total_tax' ];
            }

            if ( 'n_coupons' == $option ) {
                $totals -= $coupon_totals[ 'total' ];
            }

            if ( 'n_coupons_taxes' == $option ) {
                $totals -= $coupon_totals[ 'total_tax' ];
            }

            return $totals;
        }

        private function get_totals( $data ) {

            $coupon_totals = array(
                'total' => 0,
                'total_tax' => 0
            );

            if ( !isset( $data[ 'wc' ][ 'cart' ][ 'applied_coupons' ] ) ) {
                return $coupon_totals;
            }

            foreach ( $data[ 'wc' ][ 'cart' ][ 'applied_coupons' ] as $coupon ) {

                $coupon_totals[ 'total' ] += $coupon[ 'coupon_totals' ];
                $coupon_totals[ 'total_tax' ] += $coupon[ 'coupon_totals_tax' ];
            }

            return $coupon_totals;
        }

    }

}
