<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Total_Types_Package_Discounts' ) ) {

    class WTARS_Shipped_Total_Types_Package_Discounts {

        public function calc_totals( $totals, $option, $data ) {

            $discount_totals = $this->get_discount_totals( $data );

            if ( 'package_discounts' == $option ) {
                $totals += $discount_totals[ 'total' ];
            }

            if ( 'package_discounts_tax' == $option ) {
                $totals += $discount_totals[ 'total_tax' ];
            }

            if ( 'n_package_discounts' == $option ) {
                $totals -= $discount_totals[ 'total' ];
            }

            if ( 'n_package_discounts_tax' == $option ) {
                $totals -= $discount_totals[ 'total_tax' ];
            }

            return $totals;
        }

        private function get_discount_totals( $data ) {

            $discount_totals = array(
                'total' => 0,
                'total_tax' => 0
            );

            if ( !isset( $data[ 'wc' ][ 'package' ][ 'items' ] ) ) {
                return $discount_totals;
            }

            foreach ( $data[ 'wc' ][ 'package' ][ 'items' ] as $item ) {

                $discount_totals[ 'total' ] += ($item[ 'line_subtotal' ] - $item[ 'line_total' ]);
                $discount_totals[ 'total_tax' ] += ($item[ 'line_subtotal_tax' ] - $item[ 'line_tax' ]);
            }

            if ( $discount_totals[ 'total' ] < 0 ) {
                $discount_totals[ 'total' ] = 0;
            }

            if ( $discount_totals[ 'total_tax' ] < 0 ) {
                $discount_totals[ 'total_tax' ] = 0;
            }

            return $discount_totals;
        }

    }

}
