<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Premium_Total_Types' ) ) {

    WTARS_Shipped_Inc::recursive_require( dirname( __FILE__ ), array( 'total-types.php' ) );

    class WTARS_Shipped_Premium_Total_Types {

        public function get_totals( $totals, $option, $data ) {


            switch ( $option ) {

                case 'coupons':
                case 'coupons_taxes':
                case 'n_coupons':
                case 'n_coupons_taxes':

                    $coupons_totals = new WTARS_Shipped_Total_Types_Cart_Coupons();
                    $totals = $coupons_totals->calc_totals( $totals, $option, $data );

                    break;
                case 'package_discounts':
                case 'package_discounts_tax':
                case 'n_package_discounts':
                case 'n_package_discounts_tax':

                    $discount_totals = new WTARS_Shipped_Total_Types_Package_Discounts();
                    $totals = $discount_totals->calc_totals( $totals, $option, $data );

                    break;
                default:

                    break;
            }

            return $totals;
        }

    }

}