<?php

/**
 * @package    TGM-Plugin-Activation
 * @subpackage TGM-Plugin-Activation
 * @version    2.6.1 for plugin Shipped - Table Rate Shipping
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';

if ( !class_exists( 'WTARS_Shipped_TGMPA' ) ) {

    class WTARS_Shipped_TGMPA {

        public function __construct() {
            add_action( 'tgmpa_register', array( $this, 'register_required_plugins' ) );
        }

        public function register_required_plugins() {
            $plugins = array(
                // Shipped - WooCommerce Table Rate Shipping - https://wordpress.org/plugins/table-rate-shipping-rates/
                array(
                    'name' => esc_html__( 'Shipped - WooCommerce Table Rate Shipping', 'shipped-table-rate-shipping' ),
                    'slug' => 'table-rate-shipping-rates',
                    'required' => true,
                    'version' => '1.0',
                    'force_activation' => false,
                    'force_deactivation' => false,
                ),
                // WooCommerce - https://wordpress.org/plugins/woocommerce/
                array(
                    'name' => esc_html__( 'WooCommerce', 'shipped-table-rate-shipping' ),
                    'slug' => 'woocommerce',
                    'version' => '5.6.2',
                    'required' => true,
                    'force_activation' => false,
                    'force_deactivation' => false,
                ),
            );

            /*
             * Array of configuration settings. Amend each line as needed.
             */
            $config = array(
                'id' => 'wtars-shipped-tgmpa',
                'menu' => 'wtars-shipped-tgmpa-install',
                'parent_slug' => 'plugins.php',
                'capability' => 'manage_options',
                'has_notices' => true,
                'dismissable' => true,
                'dismiss_msg' => '',
                'is_automatic' => true,
                'message' => '',
                'strings' => array(
                    'page_title' => esc_html__( 'Install Required Plugins', 'shipped-table-rate-shipping' ),
                    'menu_title' => esc_html__( 'Install Plugins', 'shipped-table-rate-shipping' ),
                    'notice_can_install_required' => _n_noop(
                            /* translators: 1: plugin name */
                            esc_html__( '"Shipped Premium (Add-On)" requires the following plugin: %1$s.', 'shipped-table-rate-shipping' ),
                            /* translators: 1: plugin name */
                            esc_html__( '"Shipped Premium (Add-On)" requires the following plugins: %1$s.', 'shipped-table-rate-shipping' ),
                            'shipped-table-rate-shipping'
                    ),
                ),
            );

            tgmpa( $plugins, $config );
        }

    }

}
